%define name kpilot
%define version 3.1b9
%define release 8mdk
%define prefix /usr
%define qtdir /usr/lib/qt-1.44

Name: %{name}
Summary: KPilot - pilot synchronization tools for KDE
Version: %{version}
Release: %{release}
Epoch: 1
Source: %{name}-%{version}.tar.bz2
Patch0: kpilot-3.1b9-rh.patch.bz2
Copyright: GPL
URL: http://www.slac.com/pilone/kpilot_home/
Group: Graphical desktop/KDE
Buildroot: /var/tmp/%{name}-buildroot
Requires: kdesupport pilot-link
Prefix: %{prefix}
BuildRequires: pilot-link

%description
KPilot allows you to synchronize your PalmPilot with your desktop.  It
allows you to backup and restore the various databases (Addressbook,
ToDo List, Memos, etc.) as well as install applications to the pilot.
Two "conduits" for the third party application KOrganizer are included
which will let you sync your ToDo list and Calendar with that program.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1 -b .rh

%build
export QTDIR=%{qtdir}
make -f Makefile.cvs
libtoolize --force
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" \
   ./configure --with-install-root=$RPM_BUILD_ROOT --disable-rpath
mkdir -p $RPM_BUILD_ROOT
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
make install prefix=$RPM_BUILD_ROOT%{prefix}

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 $RPM_SOURCE_DIR/kpilot $RPM_BUILD_ROOT/usr/lib/menu/

install -m 644 kpilot/kpilot.xpm $RPM_BUILD_ROOT/usr/share/icons/
rm -rf $RPM_BUILD_ROOT/usr/share/icons/mini/kpilot.xpm

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/kpilot <<EOF
?package(kpilot):\
command="/usr/bin/kpilot"\
icon="kpilot.xpm"\
title="Kpilot"\
longtitle="a palm pilot synchronization tools"\
needs="x11"\
section="Applications/Communications"
EOF
)     

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
  fi    

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
        /usr/bin/update-menus
  fi
fi 

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files 
%defattr (-,root,root)
/usr/bin/* 
%dir /usr/doc/kde/HTML/de/kpilot
/usr/doc/kde/HTML/de/kpilot/*
%dir /usr/doc/kde/HTML/en/kpilot/
/usr/doc/kde/HTML/en/kpilot/*
/usr/share/applnk/Utilities/*
%dir /usr/share/apps/kpilot/conduits
/usr/share/apps/kpilot/conduits/*
/usr/share/icons/*.xpm
/usr/share/locale/en/LC_MESSAGES/*
%dir /usr/share/mimelnk/palmpilot
/usr/share/mimelnk/palmpilot/*
/usr/lib/menu/*

%changelog
* Thu Apr 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.1b9-8mdk
- merge menu file with spec
- fix icon

* Tue Mar 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.1b9-7mdk
- fix file section
- fix group
- disable rpath
- add menu entry

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1b9-6mdk
- libtoolize --force.

* Tue Dec  7 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark docs files as such.

* Sat Sep 18 1999 Preston Brown <pbrown@redhat.com>
- whoops I incremented the epoch number not the release number

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- rebuilt for kde 1.1.2.

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- 3.1b9 upgrade

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- it says 3.1b8, but is is really like 3.1b8-with-preston-cvs-fixes. :)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.1b8

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- updated for 3.1b7, RPM 3.0.

* Fri Jan 08 1999 Preston Brown <pbrown@redhat.com>
- spec file stolen from korganizer.
